Bulk update agent tags
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agents/bulk_update_agent_tags
-
POST
/s/{space_id}/api/fleet/agents/bulk_update_agent_tags
Auth
Add or remove tags across multiple agents.
-
Privileges
fleet-agents-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
agents
union string[] | string
required
-
includeInactive
boolean · default: false
-
tagsToAdd
string[] · max items: 10
-
tagsToRemove
string[] · max items: 10
-
attributes
object
required
Thank you for your feedback.